with GNATCOM.Errors;

package body MSHTML.ISequenceNumber_Interface is

   procedure Initialize (This : in out ISequenceNumber_Type) is
   begin
      Set_IID (This, IID_ISequenceNumber);
   end Initialize;

   function Pointer (This : ISequenceNumber_Type)
     return Pointer_To_ISequenceNumber
   is
   begin
      return To_Pointer_To_ISequenceNumber (Address (This));
   end Pointer;

   procedure Attach (This    : in out ISequenceNumber_Type;
                     Pointer : in     Pointer_To_ISequenceNumber)
   is
   begin
      Attach (This, GNATCOM.IInterface.To_Pointer_To_IUnknown
              (Pointer.all'Address));
   end Attach;

   procedure GetSequenceNumber
     (This     : ISequenceNumber_Type;
      nCurrent : Interfaces.C.long;
      pnNew    : GNATCOM.Types.Pointer_To_long)
   is
   begin
      GNATCOM.Errors.Error_Check
        (Pointer (This).Vtbl.GetSequenceNumber
         (Pointer (This),
          nCurrent,
          pnNew));

   end GetSequenceNumber;

end MSHTML.ISequenceNumber_Interface;

